feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Backend.C.Plugin.TypeCorrector

# Documentation

typeCorrectorError :: String -> a

type TypeCatalog = Map String Type

data GlobalCollector

Constructors

GlobalCollector |

Instances

Transformation GlobalCollector |
Transformable GlobalCollector Variable |
Transformable GlobalCollector Entity |

data TypeCheckDown

Constructors

TypeCheckDown |

Fields

globals :: TypeCatalog
inDeclaration :: Bool

inDecl :: TypeCheckDown -> Bool -> TypeCheckDown

data TypeCheck

Constructors

TypeCheck |

Instances

Transformation TypeCheck |
Transformable TypeCheck Variable |
Transformable TypeCheck Declaration |
Transformable TypeCheck Program |
Transformable TypeCheck Block |
Transformable TypeCheck Entity |

data TypeCorrector

Constructors

TypeCorrector |

Instances

Transformation TypeCorrector |
Plugin TypeCorrector |
Transformable TypeCorrector Variable |
Transformable TypeCorrector Entity |

select :: Type -> Type -> Type